Subject: Re: bug#6681: 23.2; "Save Error" from semantic

From: Tom Tromey <[email-masked]>
Date: Mon, 09 Aug 2010 09:14:20 -0600

>>>>> "Eric" == Eric M Ludlam <[email-masked]> writes:

Eric> Kai had a hook that expected a buffer to always exist in his c mode
Eric> hook.  Semantic's parser has to create c mode buffers with no file in
Eric> order to build up text from macros to parse it.

If I understand correctly, then I don't think I have this problem.
I tried making a c-mode buffer without a file, and I didn't see any
error.  I used:

(let ((buf (get-buffer-create "Zardoz")))
  (with-current-buffer buf
    (c-mode)))

I also looked at my various c-mode (and related) hooks and they all do
seem to check buffer-file-name before using it.

Is there something else I ought to try?

Tom